<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('_b_b_priorities', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('province')->nullable();
            $table->tinyInteger('province_id')->nullable();
            $table->string('assistance')->nullable();
            $table->tinyInteger('assistance_id')->nullable();
            $table->string('office')->nullable();
            $table->tinyInteger('office_id')->nullable();
            $table->string('project_title')->nullable();
            $table->double('credits_required', null, 0)->nullable();
            $table->string('project_completion')->nullable();
            $table->string('project_completion_id')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('_b_b_priorities');
    }
};
